Skip to content

Units of measure ​

INFO

Каждый ответ приходит в общем конверте — code, message, messages, status_code, time — а полезная нагрузка лежит в data. Таблицы ниже описывают содержимое data.

POST /units-of-measure/create ​

This method allows adding units-of-measure into the account.

Тело запроса

ПолеТипОбязательноОписание
namestringДа
short_namestringНет
codestringНет
statusstringНетДопустимые значения: active, inactive. По умолчанию: "active"
decimal_countintegerДаПо умолчанию: 0
typestringДаДопустимые значения: inventory, service
json
{
  "name": "string",
  "short_name": "string",
  "code": "string",
  "status": "active",
  "decimal_count": 0,
  "type": "inventory"
}

Ответ

ПолеТипОписание
_idstring
namestring
codestring
short_namestring
statusstringДопустимые значения: active, inactive
system_codestring
decimal_countintegerПо умолчанию: 0
typestringДопустимые значения: inventory, service
is_defaultboolean
created_atstring (date-time)
updated_atstring (date-time)
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "_id": "string",
    "name": "string",
    "code": "string",
    "short_name": "string",
    "status": "active",
    "system_code": "string",
    "decimal_count": 0,
    "type": "inventory",
    "is_default": false,
    "created_at": "2025-05-01T12:00:00Z",
    "updated_at": "2025-05-01T12:00:00Z"
  },
  "time": "2025-05-01T12:00:00Z"
}

PUT /units-of-measure/update ​

This method allows updating units-of-measure in the account.

Тело запроса

ПолеТипОбязательноОписание
_idstringДа
namestringДа
short_namestringНет
codestringНет
statusstringНетДопустимые значения: active, inactive. По умолчанию: "active"
decimal_countintegerДаПо умолчанию: 0
typestringНетДопустимые значения: inventory, service
json
{
  "_id": "67b486d242ed76693cd2cc59",
  "name": "string",
  "short_name": "string",
  "code": "string",
  "status": "active",
  "decimal_count": 0,
  "type": "inventory"
}

Ответ

Структура ответа совпадает с POST /units-of-measure/create.

DELETE /units-of-measure/delete/{id} ​

Delete a units-of-measure

Параметры пути

ПараметрТипОбязательноОписание
idstringДа

Тело запроса

Тело запроса не требуется.

Ответ

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": "ok",
  "time": "2025-05-01T12:00:00Z"
}

GET /units-of-measure/get-all ​

Get all units-of-measures

Параметры запроса

ПараметрТипОбязательноОписание
searchstringНетSearch units-of-measure
typestringНетДопустимые значения: inventory, service
statusstringНетДопустимые значения: active, inactive

Тело запроса

Тело запроса не требуется.

Ответ

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": [
    {
      "_id": "string",
      "name": "string",
      "code": "string",
      "short_name": "string",
      "status": "active",
      "system_code": "string",
      "decimal_count": 0,
      "type": "inventory",
      "is_default": false,
      "created_at": "2025-05-01T12:00:00Z",
      "updated_at": "2025-05-01T12:00:00Z"
    }
  ],
  "time": "2025-05-01T12:00:00Z"
}

GET /units-of-measure/get-by-id/{id} ​

Get units-of-measure using its _id

Параметры пути

ПараметрТипОбязательноОписание
idstringДа

Тело запроса

Тело запроса не требуется.

Ответ

Структура ответа совпадает с POST /units-of-measure/create.

GET /units-of-measure/get-deleted ​

Get deleted units-of-measure ids

Параметры запроса

ПараметрТипОбязательноОписание
deleted_atstringДа

Тело запроса

Тело запроса не требуется.

Ответ

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": [
    "string"
  ],
  "time": "2025-05-01T12:00:00Z"
}

POST /units-of-measure/get-paging ​

Get units-of-measure by paging

Тело запроса

ПолеТипОбязательноОписание
pagenumberДаПо умолчанию: 1
limitnumberДаПо умолчанию: 20
searchstringНет
typestringНетДопустимые значения: inventory, service
statusstringНетДопустимые значения: active, inactive
json
{
  "page": 1,
  "limit": 20,
  "search": "string",
  "type": "inventory",
  "status": "active"
}

Ответ

data.total — общее количество записей, data.data[] — записи текущей страницы. Таблица ниже описывает одну запись.

ПолеТипОписание
namestring
codestring
short_namestring
statusstringДопустимые значения: active, inactive
system_codestring
decimal_countintegerПо умолчанию: 0
typestringДопустимые значения: inventory, service
updated_by_userobject
updated_by_user._idstring
updated_by_user.full_namestring
created_by_userobject
created_by_user._idstring
created_by_user.full_namestring
created_atstring (date-time)
updated_atstring (date-time)
is_defaultboolean
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "total": 0,
    "data": [
      {
        "name": "string",
        "code": "string",
        "short_name": "string",
        "status": "active",
        "system_code": "string",
        "decimal_count": 0,
        "type": "inventory",
        "updated_by_user": {
          "_id": "string",
          "full_name": "string"
        },
        "created_by_user": {
          "_id": "string",
          "full_name": "string"
        },
        "created_at": "2025-05-01T12:00:00Z",
        "updated_at": "2025-05-01T12:00:00Z",
        "is_default": false
      }
    ]
  },
  "time": "2025-05-01T12:00:00Z"
}

Эта страница сгенерирована из спецификации OpenAPI.

Bito 2.0 Integration API